Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class AbstractManageabilityCapability

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

Direct Known Subclasses:
  SimpleConfiguration, SimpleCorrelatableProperties, SimpleDescription, SimpleIdentity, SimpleManageabilityCharacteristics, SimpleMetrics, SimpleOperationalStatus, SimpleRelationshipResource, SimpleRelationships, SimpleState

public abstract class AbstractManageabilityCapability
extends AbstractWsResourceCapability
implements ManageabilityCapability

AbstractManageabilityCapability is an extension of AbstractWsResourceCapability that provides one additional initialization step: if the resource uses the ManageabilityCharacteristics capability, then this capability's URI will be added to the muws1:ManageabilityCapability property.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AbstractManageabilityCapability()`

Method Summary
`void` | `initializeCompleted()` This method is called by the containing Resource after all other capabilities have been initialized via initialize().

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getPropertyNames, getSetter, getWsResource, initialize, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### AbstractManageabilityCapability

    public AbstractManageabilityCapability()

Method Detail

### initializeCompleted

    public void initializeCompleted()
                             throws SoapFault

  Description copied from interface: `Capability`
  This method is called by the containing Resource after all other capabilities have been initialized via initialize(). It allows the Capability to do initialization work that requires the presence of certain other capabilities. This "post-initialization" state is necessary because capability definition and creation is non-deterministic, and users cannot make any assumptions about the order of those tasks.

  Specified by:
    `initializeCompleted` in interface `Capability`
  Overrides:
    `initializeCompleted` in class `AbstractCapability`
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD